<template>
    <div class="home">
        <section>
            <v-parallax src="images/background.jpg" class="full-screen">
                <v-layout
                    column
                    align-center
                    justify-center
                    class="white--text"
                >
                    <img
                        src="images/impulsy_logo.png"
                        alt="Vuetify.js"
                        height="200"
                    />
                    <h1 class="white--text mb-2 display-1 text-center">
                        Impulsy
                    </h1>
                    <div class="subheading mb-4 text-center">
                        Collaboration de Alpagames et Pulsycorp
                    </div>
                    <v-btn
                        class="mt-12"
                        color="blue lighten-2"
                        dark
                        large
                        href="/gamemenu"
                    >
                        Jouer Maintenant !
                    </v-btn>
                </v-layout>
            </v-parallax>
        </section>

        <section>
            <v-layout column wrap class="my-12" align-center>
                <v-flex xs12 sm4 class="my-4">
                    <div class="text-center">
                        <h2 class="headline">
                            Profité pleinenement de votre musique
                        </h2>
                        <span class="subheading">
                            Bouger sur le rythme de vos playlists
                        </span>
                    </div>
                </v-flex>
                <v-flex xs12>
                    <v-container grid-list-xl>
                        <v-layout row wrap align-center>
                            <v-flex xs12 md4>
                                <v-card flat class="transparent">
                                    <v-card-text class="text-center">
                                        <v-icon
                                            x-large
                                            class="blue--text text--lighten-2"
                                            >mdi-palette</v-icon
                                        >
                                    </v-card-text>
                                    <v-card-title
                                        primary-title
                                        class="layout justify-center"
                                    >
                                        <div class="headline text-center">
                                            Concept
                                        </div>
                                    </v-card-title>
                                    <v-card-text>
                                        Le principe est simple, être capable de
                                        garder le rythme et collecter
                                        suffisament d'artefactes pour que votre
                                        Mélovore (personnage) atteigne la fin de
                                        la piste audio.
                                    </v-card-text>
                                </v-card>
                            </v-flex>
                            <v-flex xs12 md4>
                                <v-card flat class="transparent">
                                    <v-card-text class="text-center">
                                        <v-icon
                                            x-large
                                            class="blue--text text--lighten-2"
                                            >mdi-flash</v-icon
                                        >
                                    </v-card-text>
                                    <v-card-title
                                        primary-title
                                        class="layout justify-center"
                                    >
                                        <div class="headline">Diversité</div>
                                    </v-card-title>
                                    <v-card-text>
                                        Bientôt plus de challenge avec de tout
                                        nouveaux modes de jeux pour compléter le
                                        "classique". Le "Brisé" apportera un peu
                                        plus de difficulté en ajoutant des
                                        obstacles sur votre chemin. Le "Batteur"
                                        ajoutera une contrate sur vos mouvement
                                        qui vous demandera plus de dextérité...
                                        beaucoup plus.
                                    </v-card-text>
                                </v-card>
                            </v-flex>
                            <v-flex xs12 md4>
                                <v-card flat class="transparent">
                                    <v-card-text class="text-center">
                                        <v-icon
                                            x-large
                                            class="blue--text text--lighten-2"
                                            >mdi-wrench</v-icon
                                        >
                                    </v-card-text>
                                    <v-card-title
                                        primary-title
                                        class="layout justify-center"
                                    >
                                        <div class="headline text-center">
                                            Compétition
                                        </div>
                                    </v-card-title>
                                    <v-card-text>
                                        Deux modes multijoueurs qui vous
                                        permettra de vous affronter soit
                                        individuellement, soit en binôme.
                                        Arriveriez-vous à vous hisser au sommet
                                        du Hall of Fame ?
                                    </v-card-text>
                                </v-card>
                            </v-flex>
                        </v-layout>
                    </v-container>
                </v-flex>
            </v-layout>
        </section>

        <section>
            <v-parallax
                src="images/bandes-sonores.jpg"
                class="screen-two-third"
            >
                <v-layout column align-center justify-center>
                    <div class="headline white--text mb-4 text-center">
                        Un son, un spectre... des heures de jeux !
                    </div>
                    <em>Et si vous preniez une pause</em>
                </v-layout>
            </v-parallax>
        </section>

        <section>
            <v-layout column wrap class="my-12" align-center>
                <v-flex xs12 sm4 class="my-4">
                    <div class="text-center">
                        <h2 class="headline">
                            Vous êtes curieux, on vous expliques
                        </h2>
                        <span class="subheading">
                            Un peu verbeux mais pas compliqué
                        </span>
                    </div>
                </v-flex>
                <v-flex xs12>
                    <v-container grid-list-xl>
                        <v-layout row wrap align-center>
                            <v-flex xs12 md4>
                                <v-card flat class="transparent">
                                    <v-card-text class="text-center">
                                        <v-icon
                                            x-large
                                            class="blue--text text--lighten-2"
                                            >mdi-palette</v-icon
                                        >
                                    </v-card-text>
                                    <v-card-title
                                        primary-title
                                        class="layout justify-center"
                                    >
                                        <div class="headline text-center">
                                            1
                                        </div>
                                    </v-card-title>
                                    <v-card-text>
                                        Le spectrogramme est un diagramme
                                        représentant le spectre d'un phénomène
                                        périodique, associant à chaque fréquence
                                        une intensité ou une puissance. Le
                                        spectre sonore d'un son est le tableau
                                        ou la représentation graphique des
                                        partiels qui, s'ajoutant les uns aux
                                        autres, permettent de reconstituer ce
                                        son. Un son pur est une vibration
                                        périodique de l'air à une certaine
                                        fréquence et une certaine amplitude.
                                    </v-card-text>
                                </v-card>
                            </v-flex>
                            <v-flex xs12 md4>
                                <v-card flat class="transparent">
                                    <v-card-text class="text-center">
                                        <v-icon
                                            x-large
                                            class="blue--text text--lighten-2"
                                            >mdi-flash</v-icon
                                        >
                                    </v-card-text>
                                    <v-card-title
                                        primary-title
                                        class="layout justify-center"
                                    >
                                        <div class="headline">2</div>
                                    </v-card-title>
                                    <v-card-text>
                                        Tous les sons peuvent se décomposer en
                                        une somme de sons purs, qu'on appelle
                                        partiels de ce son, qu'on dit complexe
                                        s'il est la somme de plus d'un partiel.
                                        Les partiels peuvent avoir des
                                        fréquences qui sont des multiples
                                        entiers d'une fréquence fondamentale ;
                                        on parle alors d'harmoniques, et de
                                        spectre harmonique.
                                    </v-card-text>
                                </v-card>
                            </v-flex>
                            <v-flex xs12 md4>
                                <v-card flat class="transparent">
                                    <v-card-text class="text-center">
                                        <v-icon
                                            x-large
                                            class="blue--text text--lighten-2"
                                            >mdi-wrench</v-icon
                                        >
                                    </v-card-text>
                                    <v-card-title
                                        primary-title
                                        class="layout justify-center"
                                    >
                                        <div class="headline text-center">
                                            3
                                        </div>
                                    </v-card-title>
                                    <v-card-text>
                                        Les sons musicaux possèdent en général
                                        une décomposition spectrale
                                        approximativement harmonique ; mais le
                                        son d'instruments sonores comme une
                                        cloche ou un gong peut souvent se
                                        décomposer en partiels inharmoniques.
                                        Celui d'instruments de percussion, comme
                                        celui de sons naturels comme le bruit
                                        des vagues sur la plage ou du vent dans
                                        les feuilles, se décomposent en une
                                        infinité de partiels donnant un spectre
                                        continu.
                                    </v-card-text>
                                </v-card>
                            </v-flex>
                        </v-layout>
                    </v-container>
                </v-flex>
            </v-layout>
        </section>

        <section>
            <v-parallax src="images/idea.png" class="screen-two-third">
                <v-layout column align-center justify-center>
                    <div class="headline white--text mb-4 text-center">
                        Nos équipes tiennent à vous
                    </div>
                    <em
                        >N'hésité pas à leur faire remonter des idées
                        d'amélioration</em
                    >
                </v-layout>
            </v-parallax>
        </section>

        <section>
            <v-container grid-list-xl>
                <v-layout row wrap justify-center class="my-12">
                    <v-flex xs12 sm4>
                        <v-card flat class="transparent">
                            <v-card-title
                                primary-title
                                class="layout justify-center"
                            >
                                <div class="headline">Company info</div>
                            </v-card-title>
                            <v-card-text>
                                Cras facilisis mi vitae nunc lobortis pharetra.
                                Nulla volutpat tincidunt ornare. Pellentesque
                                habitant morbi tristique senectus et netus et
                                malesuada fames ac turpis egestas. Nullam in
                                aliquet odio. Aliquam eu est vitae tellus
                                bibendum tincidunt. Suspendisse potenti.
                            </v-card-text>
                        </v-card>
                    </v-flex>
                    <v-flex xs12 sm4 offset-sm1>
                        <v-card flat class="transparent">
                            <v-card-title
                                primary-title
                                class="layout justify-center"
                            >
                                <div class="headline">Contact us</div>
                            </v-card-title>
                            <v-card-text>
                                Cras facilisis mi vitae nunc lobortis pharetra.
                                Nulla volutpat tincidunt ornare.
                            </v-card-text>
                            <v-list class="transparent">
                                <v-list-item>
                                    <v-list-item-action>
                                        <v-icon
                                            class="blue--text text--lighten-2"
                                            >mdi-phone</v-icon
                                        >
                                    </v-list-item-action>
                                    <v-list-item-content>
                                        <v-list-item-title
                                            >+33 (0)2 99 12 12
                                            45</v-list-item-title
                                        >
                                    </v-list-item-content>
                                </v-list-item>
                                <v-list-item>
                                    <v-list-item-action>
                                        <v-icon
                                            class="blue--text text--lighten-2"
                                            >mdi-map-marker</v-icon
                                        >
                                    </v-list-item-action>
                                    <v-list-item-content>
                                        <v-list-item-title
                                            >Lannion, FR</v-list-item-title
                                        >
                                    </v-list-item-content>
                                </v-list-item>
                                <v-list-item>
                                    <v-list-item-action>
                                        <v-icon
                                            class="blue--text text--lighten-2"
                                            >mdi-email</v-icon
                                        >
                                    </v-list-item-action>
                                    <v-list-item-content>
                                        <v-list-item-title
                                            >support@alpagames.fr</v-list-item-title
                                        >
                                    </v-list-item-content>
                                </v-list-item>
                            </v-list>
                        </v-card>
                    </v-flex>
                </v-layout>
            </v-container>
        </section>
    </div>
</template>

<script>
// @ is an alias to /src

export default {
    name: 'Home'
};
</script>

<style lang="scss" scoped>
.screen-two-third {
    height: 66vh !important;
}

.full-screen {
    height: 100vh !important;
}
</style>
